Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableFillPatternUrl Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableFillPatternUrl:
[legend]
Collaboration diagram for Magick::DrawableFillPatternUrl:
[legend]

## Public Member Functions
| DrawableFillPatternUrl (const std::string &url_)
| ~DrawableFillPatternUrl (void)
| DrawableFillPatternUrl (const DrawableFillPatternUrl &original_)
void | operator() (MagickCore::DrawingWand *context_) const
void | url (const std::string &url_)
std::string | url (void) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 968 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableFillPatternUrl() [1/2]

Magick::DrawableFillPatternUrl::DrawableFillPatternUrl | ( | const std::string & | url_ | ) |

Definition at line 712 of file Drawable.cpp.

## ◆ ~DrawableFillPatternUrl()

Magick::DrawableFillPatternUrl::~DrawableFillPatternUrl | ( | void |  | ) |

Definition at line 724 of file Drawable.cpp.

## ◆ DrawableFillPatternUrl() [2/2]

Magick::DrawableFillPatternUrl::DrawableFillPatternUrl | ( | const DrawableFillPatternUrl & | original_ | ) |

Definition at line 717 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableFillPatternUrl::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 744 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableFillPatternUrl::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 728 of file Drawable.cpp.

## ◆ url() [1/2]

void Magick::DrawableFillPatternUrl::url | ( | const std::string & | url_ | ) |

Definition at line 734 of file Drawable.cpp.

## ◆ url() [2/2]

std::string Magick::DrawableFillPatternUrl::url | ( | void |  | ) | const

Definition at line 739 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp